
IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[HR_LOG]') AND type IN ('U'))
	DROP TABLE [dbo].[HR_LOG]
GO

CREATE TABLE [dbo].[HR_LOG] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [operate_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operator_id] int  NULL,
  [operator_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [create_time] datetime  NULL,
  [operate_type] int  NULL,
  [params_str] varchar(2000) COLLATE Chinese_PRC_CI_AS  NULL,
  [client_ip] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [method_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [delete_type] int  NULL,
  [class_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operate_module_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [operate_module] int  NULL,
  [message] varchar(2000) COLLATE Chinese_PRC_CI_AS  NULL,
  [value] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[HR_LOG] SET (LOCK_ESCALATION = TABLE)
GO


IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_FIELD_EXTENDGROUP]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_FIELD_EXTENDGROUP]
GO

CREATE TABLE [dbo].[JCL_FIELD_EXTENDGROUP] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [pid] int  NULL,
  [extend_type] int  NULL,
  [group_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [is_show] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_FIELD_EXTENDGROUP] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_FIELD_EXTENDINFO]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_FIELD_EXTENDINFO]
GO

CREATE TABLE [dbo].[JCL_FIELD_EXTENDINFO] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [extend_type] int  NULL,
  [table_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_name_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [field_type] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [control_type] int  NULL,
  [custom_value] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [browser_type] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [extend_group_id] int  NULL,
  [isenable] int  NULL,
  [isrequired] int  NULL,
  [list_show] int  NULL,
  [search_show] int  NULL,
  [edit_show] int  NULL,
  [add_show] int  NULL,
  [browser_show] int  NULL,
  [show_order] int  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_FIELD_EXTENDINFO] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_FIELD_EXTENDTITLE]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_FIELD_EXTENDTITLE]
GO

CREATE TABLE [dbo].[JCL_FIELD_EXTENDTITLE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [group_id] int  NULL,
  [title] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [is_show] int  NULL,
  [is_system_default] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_FIELD_EXTENDTITLE] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_COMP]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_COMP]
GO

CREATE TABLE [dbo].[JCL_ORG_COMP] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [comp_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [comp_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [comp_name_short] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_company] int  NULL,
  [org_code] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [industry] int  NULL,
  [comp_principal] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [show_order] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_COMP] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_COMPEXT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_COMPEXT]
GO

CREATE TABLE [dbo].[JCL_ORG_COMPEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_COMPEXT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_COMPEXT_DT1]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_COMPEXT_DT1]
GO

CREATE TABLE [dbo].[JCL_ORG_COMPEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_COMPEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_DEPT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_DEPT]
GO

CREATE TABLE [dbo].[JCL_ORG_DEPT] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [dept_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [dept_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [dept_name_short] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_comp] int  NULL,
  [parent_dept] int  NULL,
  [dept_principal] int  NULL,
  [show_order] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_DEPT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_DEPTEXT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_DEPTEXT]
GO

CREATE TABLE [dbo].[JCL_ORG_DEPTEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_DEPTEXT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_DEPTEXT_DT1]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_DEPTEXT_DT1]
GO

CREATE TABLE [dbo].[JCL_ORG_DEPTEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_DEPTEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_GRADE]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_GRADE]
GO

CREATE TABLE [dbo].[JCL_ORG_GRADE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [grade_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_GRADE] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_HRMRELATION]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_HRMRELATION]
GO

CREATE TABLE [dbo].[JCL_ORG_HRMRELATION] (
  [id] int  NOT NULL,
  [scheme_id] int  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id] int  NULL,
  [sequence_id] int  NULL,
  [post_id] int  NULL,
  [post_info_id] int  NULL,
  [company_id] int  NULL,
  [department_id] int  NULL,
  [job_id] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_HRMRELATION] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_HRMRESOURCE]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_HRMRESOURCE]
GO

CREATE TABLE [dbo].[JCL_ORG_HRMRESOURCE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [work_code] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [login_id] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [last_name] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [sex] int  NULL,
  [account_type] int  NULL,
  [belong_to] int  NULL,
  [company_id] int  NULL,
  [department_id] int  NULL,
  [job_activity] int  NULL,
  [job_title] int  NULL,
  [job_call] int  NULL,
  [job_level] int  NULL,
  [job_group_id] int  NULL,
  [job_activity_desc] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [status] int  NULL,
  [system_language] int  NULL,
  [resource_image_id] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [messager_url] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [location_id] int  NULL,
  [manager_id] int  NULL,
  [assistant_id] int  NULL,
  [mobile] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [telephone] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [mobile_call] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [fax] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [email] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [workroom] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [pass_word] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [sec_level] int  NULL,
  [birthday] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [folk] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [native_place] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [reg_resident_place] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [certificate_num] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [marital_status] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [policy] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [be_member_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [be_party_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [islabouunion] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [degree] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [health_info] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [education_level] int  NULL,
  [height] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [weight] int  NULL,
  [use_kind] int  NULL,
  [start_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [end_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [probation_end_date] char(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [resident_place] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [home_address] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [temp_resident_number] varchar(60) COLLATE Chinese_PRC_CI_AS  NULL,
  [company_start_date] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_start_date] varchar(10) COLLATE Chinese_PRC_CI_AS  NULL,
  [accum_fund_account] varchar(30) COLLATE Chinese_PRC_CI_AS  NULL,
  [account_name] varchar(200) COLLATE Chinese_PRC_CI_AS  NULL,
  [bank_id] int  NULL,
  [account_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [show_order] int  NULL,
  [classification] char(1) COLLATE Chinese_PRC_CI_AS  NULL,
  [company_work_year] decimal(10,2)  NULL,
  [work_year] decimal(10,2)  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCE] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_HRMRESOURCEEXT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT]
GO

CREATE TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_HRMRESOURCEEXT_DT1]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT_DT1]
GO

CREATE TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_JOB]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_JOB]
GO

CREATE TABLE [dbo].[JCL_ORG_JOB] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [job_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [job_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [parent_comp] int  NULL,
  [ec_company] int  NULL,
  [parent_dept] int  NULL,
  [ec_department] int  NULL,
  [sequence_id] int  NULL,
  [scheme_id] int  NULL,
  [parent_job] int  NULL,
  [is_key] int  NULL,
  [workplace] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_duty] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [work_authority] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [show_order] int  NULL,
  [grade_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_JOB] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_JOBDT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_JOBDT]
GO

CREATE TABLE [dbo].[JCL_ORG_JOBDT] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [level_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_id_span] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [grade_id_span] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_JOBDT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_JOBEXT]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_JOBEXT]
GO

CREATE TABLE [dbo].[JCL_ORG_JOBEXT] (
  [id] int  NOT NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_JOBEXT] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_JOBEXT_DT1]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_JOBEXT_DT1]
GO

CREATE TABLE [dbo].[JCL_ORG_JOBEXT_DT1] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [mainid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL,
  [post_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_idspan] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_idspan] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_JOBEXT_DT1] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_LEVEL]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_LEVEL]
GO

CREATE TABLE [dbo].[JCL_ORG_LEVEL] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [level_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [level_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_LEVEL] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_POST]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_POST]
GO

CREATE TABLE [dbo].[JCL_ORG_POST] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [post_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_POST] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_POST_INFO]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_POST_INFO]
GO

CREATE TABLE [dbo].[JCL_ORG_POST_INFO] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [post_info_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_authority] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_duty] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_info_qualification] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [post_id] int  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_POST_INFO] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_SCHEME]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_SCHEME]
GO

CREATE TABLE [dbo].[JCL_ORG_SCHEME] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [scheme_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_SCHEME] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_SEQUENCE]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_SEQUENCE]
GO

CREATE TABLE [dbo].[JCL_ORG_SEQUENCE] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [sequence_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [sequence_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [scheme_id] int  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_SEQUENCE] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_STAFF]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_STAFF]
GO

CREATE TABLE [dbo].[JCL_ORG_STAFF] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [plan_id] int  NULL,
  [comp_id] int  NULL,
  [dept_id] int  NULL,
  [job_id] int  NULL,
  [staff_num] int  NULL,
  [control_policy] int  NULL,
  [permanent_num] int  NULL,
  [freeze_num] int  NULL,
  [lack_status] int  NULL,
  [staff_desc] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_STAFF] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_STAFFPLAN]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_STAFFPLAN]
GO

CREATE TABLE [dbo].[JCL_ORG_STAFFPLAN] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [plan_no] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [plan_name] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [plan_year] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [time_start] datetime  NULL,
  [time_end] datetime  NULL,
  [company_id] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [control_dimension] varchar(5) COLLATE Chinese_PRC_CI_AS  NULL,
  [description] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
  [forbidden_tag] int  NULL,
  [is_used] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_STAFFPLAN] SET (LOCK_ESCALATION = TABLE)
GO



IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_STAFFS]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_STAFFS]
GO

CREATE TABLE [dbo].[JCL_ORG_STAFFS] (
  [id] int  IDENTITY(1,1) NOT NULL,
  [staff_id] int  NULL,
  [business_type] int  NULL,
  [change_num] int  NULL,
  [business_source] int  NULL,
  [requestid] int  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_STAFFS] SET (LOCK_ESCALATION = TABLE)
GO


IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_ORG_MAP]') AND type IN ('U'))
	DROP TABLE [dbo].[JCL_ORG_MAP]
GO

CREATE TABLE [dbo].[JCL_ORG_MAP] (
  [fid] int  IDENTITY(1,1) NOT NULL,
  [id] int NULL,
  [ftype] int  NULL,
  [fobjid] int  NULL,
  [fecid] int  NULL,
  [Uuid] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fclass] int  NULL,
  [fclassname] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fnumber] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fname] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleader] int  NULL,
  [fleaderimg] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleadername] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderjobid] int  NULL,
  [fleaderjob] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderlv] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fleaderst] varchar(255) COLLATE Chinese_PRC_CI_AS  NULL,
  [fparentid] int  NULL,
  [fobjparentid] int  NULL,
  [fplan] int  NULL,
  [fonjob] int  NULL,
  [fisvitual] int  NULL,
  [fdatebegin] datetime  NULL,
  [fdateend] datetime  NULL,
  [creator] int  NULL,
  [delete_type] int  NULL,
  [create_time] datetime  NULL,
  [update_time] datetime  NULL
)
GO

ALTER TABLE [dbo].[JCL_ORG_MAP] SET (LOCK_ESCALATION = TABLE)
GO

IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_IMPORT_HISTORY_DETAIL]') AND type IN ('U'))
    DROP TABLE [dbo].[JCL_IMPORT_HISTORY_DETAIL]
GO

CREATE TABLE [dbo].[JCL_IMPORT_HISTORY_DETAIL] (
    [id] int  IDENTITY(1,1) NOT NULL,
    [pid] int NOT NULL,
    [row_nums] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [status] varchar(80) COLLATE Chinese_PRC_CI_AS  NULL,
    [operate_detail] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL,
    [related_name] varchar(1000) COLLATE Chinese_PRC_CI_AS  NULL
    )
    GO

ALTER TABLE [dbo].[JCL_IMPORT_HISTORY_DETAIL] SET (LOCK_ESCALATION = TABLE)
GO

IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[JCL_IMPORT_HISTORY]') AND type IN ('U'))
    DROP TABLE [dbo].[JCL_IMPORT_HISTORY]
GO

CREATE TABLE [dbo].[JCL_IMPORT_HISTORY] (
    [id] int  IDENTITY(1,1) NOT NULL,
    [operator] int NOT NULL,
    [operate_time] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [client_address] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL,
    [import_type] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [source_from] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [operate_type] varchar(400) COLLATE Chinese_PRC_CI_AS  NULL,
    [status] varchar(800) COLLATE Chinese_PRC_CI_AS  NULL
    )
    GO

ALTER TABLE [dbo].[JCL_IMPORT_HISTORY] SET (LOCK_ESCALATION = TABLE)
GO



ALTER TABLE [dbo].[HR_LOG] ADD CONSTRAINT [HR_LOG_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_FIELD_EXTENDGROUP] ADD CONSTRAINT [JCL_FIELD_EXTENDGROUP_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_FIELD_EXTENDINFO] ADD CONSTRAINT [JCL_FIELD_EXTENDINFO_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_FIELD_EXTENDTITLE] ADD CONSTRAINT [JCL_FIELD_EXTENDTITLE_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_COMP] ADD CONSTRAINT [JCL_ORG_COMP_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_COMPEXT] ADD CONSTRAINT [JCL_ORG_COMPEXT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_COMPEXT_DT1] ADD CONSTRAINT [JCL_ORG_COMPEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_DEPT] ADD CONSTRAINT [JCL_ORG_DEPT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_DEPTEXT] ADD CONSTRAINT [JCL_ORG_DEPTEXT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_DEPTEXT_DT1] ADD CONSTRAINT [JCL_ORG_DEPTEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_GRADE] ADD CONSTRAINT [JCL_ORG_GRADE_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_HRMRELATION] ADD CONSTRAINT [JCL_ORG_HRMRELATION_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCE] ADD CONSTRAINT [JCL_ORG_HRMRESOURCE_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT] ADD CONSTRAINT [JCL_ORG_HRMRESOURCEEXT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_HRMRESOURCEEXT_DT1] ADD CONSTRAINT [JCL_ORG_HRMRESOURCEEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_JOB] ADD CONSTRAINT [JCL_ORG_JOB_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_JOBDT] ADD CONSTRAINT [JCL_ORG_JOBDT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_JOBEXT] ADD CONSTRAINT [JCL_ORG_JOBEXT_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_JOBEXT_DT1] ADD CONSTRAINT [JCL_ORG_JOBEXT_DT1_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_LEVEL] ADD CONSTRAINT [JCL_ORG_LEVEL_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_POST] ADD CONSTRAINT [JCL_ORG_POST_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_POST_INFO] ADD CONSTRAINT [JCL_ORG_POST_INFO_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_SCHEME] ADD CONSTRAINT [JCL_ORG_SCHEME_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_SEQUENCE] ADD CONSTRAINT [JCL_ORG_SEQUENCE_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_STAFF] ADD CONSTRAINT [JCL_ORG_STAFF_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO


ALTER TABLE [dbo].[JCL_ORG_STAFFPLAN] ADD CONSTRAINT [JCL_ORG_STAFFPLAN_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_STAFFS] ADD CONSTRAINT [JCL_ORG_STAFFS_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO



ALTER TABLE [dbo].[JCL_ORG_MAP] ADD CONSTRAINT [JCL_ORG_MAP_PK] PRIMARY KEY CLUSTERED ([fid])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO

ALTER TABLE [dbo].[JCL_IMPORT_HISTORY_DETAIL] ADD CONSTRAINT [JCL_IMPORT_HISTORY_DETAIL_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[JCL_IMPORT_HISTORY] ADD CONSTRAINT [JCL_IMPORT_HISTORY_PK] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO


set IDENTITY_INSERT  JCL_FIELD_EXTENDGROUP ON
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (1, 1, '基本信息', 1, 0, GETDATE(), NULL, NULL, '1', 1, 0)
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (2, 2, '基本信息', 1, 0, GETDATE(), NULL, NULL, '1', 1, 0)
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (3, 3, '基础信息', 1, 0, GETDATE(), NULL, NULL, '1', 1, 0)
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (4, 4, '基本信息', 1, 0, GETDATE(), NULL, NULL, '1', 1, 0)
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (5, 3, '职务', 1, 0, GETDATE(),NULL, 3, '1', 1, 0) 
set IDENTITY_INSERT JCL_FIELD_EXTENDGROUP OFF
GO

set IDENTITY_INSERT  JCL_FIELD_EXTENDTITLE ON
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (1, 1, '基本信息', 1, 0, GETDATE(), NULL, 1, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (2, 2, '基本信息', 1, 0, GETDATE(), NULL, 1, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (3, 3, '基本信息', 1, 0, GETDATE(), NULL, 1, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (4, 4, '基本信息', 1, 0, GETDATE(), NULL, 1, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (5, 3, '职务信息', 1, 0, GETDATE(), NULL, 2, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (6, 3, '职责信息', 1, 0, GETDATE(), NULL, 3, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (7, 4, '上下级关系', 1, 0, GETDATE(), NULL, 2, 1, 0)
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (8, 4, '通讯信息', 1, 0, GETDATE(), NULL, 3, 1, 0)
set IDENTITY_INSERT  JCL_FIELD_EXTENDTITLE OFF
GO

set IDENTITY_INSERT  JCL_FIELD_EXTENDINFO ON
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (2, 1, 'JCL_ORG_COMP', 'comp_name', '名称', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (3, 1, 'JCL_ORG_COMP', 'parent_company', '上级公司', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (1, 1, 'JCL_ORG_COMP', 'comp_no', '编号', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (4, 1, 'JCL_ORG_COMP', 'industry', '行业', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 8, 1, 0, GETDATE(), NULL, '63', NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (5, 1, 'JCL_ORG_COMP', 'comp_name_short', '简称', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (6, 1, 'JCL_ORG_COMP', 'org_code', '组织机构代码', 'varchar(100)', 1, 1, 1, 0, 1, 1, 1, 1, 1, 7, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (7, 1, 'JCL_ORG_COMP', 'comp_principal', '负责人', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 9, 1, 0, GETDATE(), NULL, '1', NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (8, 1, 'JCL_ORG_COMP', 'description', '说明', 'text', 2, 1, 1, 0, 1, 0, 1, 0, 1, 10, 1, 0, GETDATE(), NULL, NULL, NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (9, 1, 'JCL_ORG_COMP', 'forbidden_tag', '禁用标记', 'int', 5, 1, 1, 0, 1, 1, 0, 0, 1, 11, 1, 0, GETDATE(), NULL, '', '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (10, 1, 'JCL_ORG_COMP', 'show_order', '显示顺序', 'int', 1, 1, 1, 0, 1, NULL, 1, 1, 1, 12, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (11, 2, 'JCL_ORG_DEPT', 'dept_no', '编号', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (12, 2, 'JCL_ORG_DEPT', 'dept_name', '名称', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (13, 2, 'JCL_ORG_DEPT', 'dept_name_short', '简称', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (14, 2, 'JCL_ORG_DEPT', 'parent_comp', '所属分部', 'int', 3, 2, 1, 1, 1, 1, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (15, 2, 'JCL_ORG_DEPT', 'parent_dept', '上级部门', 'int', 3, 2, 1, 0, 1, 1, 1, 1, 1, 5, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (16, 2, 'JCL_ORG_DEPT', 'dept_principal', '部门负责人', 'int', 3, 2, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, '1', NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (17, 2, 'JCL_ORG_DEPT', 'show_order', '显示顺序', 'int', 1, 2, 1, 0, 1, 1, 1, 1, 1, 7, 1, 0, GETDATE(), NULL, '2', NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (18, 2, 'JCL_ORG_DEPT', 'description', '说明', 'text', 2, 2, 1, 0, 1, 1, 1, 0, 1, 8, 1, 0, GETDATE(), NULL, NULL, NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (19, 2, 'JCL_ORG_DEPT', 'forbidden_tag', '禁用标记', 'int', 5, 2, 1, 0, 1, 1, 0, 0, 1, 9, 1, 0, GETDATE(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (20, 3, 'JCL_ORG_JOB', 'job_no', '编号', 'varchar(100)', 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (21, 3, 'JCL_ORG_JOB', 'sequence_id', '岗位序列', 'int', 3, 5, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"sequenceBrowser","valueSpan":"岗位序列","replaceDatas":[{"showname":"sequenceBrowser","shownamespan":"sequenceBrowser","namespan":"岗位序列","name":"岗位序列","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","randomFieldId":"sequenceBrowser","id":"sequenceBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (22, 3, 'JCL_ORG_JOB', 'description', '工作概述', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 1, 1, 0, GETDATE(), NULL, NULL, NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (23, 3, 'JCL_ORG_JOB', 'job_name', '名称', 'varchar(100)', 1, 3, 1, 0, 1, 1, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (24, 3, 'JCL_ORG_JOB', 'scheme_id', '等级方案', 'int', 3, 5, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"schemeBrowser","valueSpan":"等级方案浏览按钮","replaceDatas":[{"showname":"schemeBrowser","shownamespan":"schemeBrowser","namespan":"等级方案浏览按钮","name":"等级方案浏览按钮","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","randomFieldId":"schemeBrowser","id":"schemeBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (25, 3, 'JCL_ORG_JOB', 'work_duty', '任职职责', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 2, 1, 0, GETDATE(), NULL, NULL, NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (26, 3, 'JCL_ORG_JOB', 'ec_department', '所属部门', 'int', 3, 3, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '4', '["browser",{"valueSpan":"部门","replaceDatas":[{"name":"部门","id":"4"}],"value":"4"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (27, 3, 'JCL_ORG_JOB', 'work_authority', '工作权限', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 3, 1, 0, GETDATE(), NULL, NULL, NULL, 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (28, 3, 'JCL_ORG_JOB', 'level_id', '职等', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '162', '["browser",{"valueSpan":"自定义多选","replaceDatas":[{"itemorderid":"162","name":"自定义多选","id":"162","parenttitle":"集成","title":"集成-自定义多选"}],"value":"162"},{"valueSpan":"职等浏览按钮","replaceDatas":[{"showname":"LevelBrowser","name":"职等浏览按钮","id":"LevelBrowser"}],"value":"LevelBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (29, 3, 'JCL_ORG_JOB', 'ec_company', '所属分部', 'int', 3, 3, 1, 0, 1, 1, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (30, 3, 'JCL_ORG_JOB', 'grade_id', '职级', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职级浏览按钮","replaceDatas":[{"showname":"gradeBrowser","name":"职级浏览按钮","id":"gradeBrowser"}],"value":"gradeBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (31, 3, 'JCL_ORG_JOB', 'parent_job', '上级岗位', 'int', 3, 3, 1, 0, 1, 1, 1, 1, 1, 5, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"jobBrowser","valueSpan":"岗位浏览按钮","replaceDatas":[{"showname":"jobBrowser","shownamespan":"jobBrowser","namespan":"岗位浏览按钮","name":"岗位浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"jobBrowser","id":"jobBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (32, 3, 'JCL_ORG_JOB', 'is_key', '是否关键岗', 'int', 5, 3, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"否"},{"default":"","unuse":"0","id":"1","key":"1","option":"是"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (33, 3, 'JCL_ORG_JOB', 'workplace', '工作地点', 'varchar(100)', 1, 3, 1, 0, 1, 1, 1, 0, 1, 7, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (34, 3, 'JCL_ORG_JOB', 'forbidden_tag', '禁用标记', 'int', 5, 3, 1, 0, 1, 1, 0, 0, 1, 8, 1, 0, GETDATE(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (35, 3, 'JCL_ORG_JOB', 'show_order', '显示顺序', 'int', 1, 3, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (36, 3, 'JCL_ORG_JOB', 'parent_comp', '所属分部', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (37, 3, 'JCL_ORG_JOB', 'parent_dept', '上级部门', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (38, 3, 'JCL_ORG_JOBEXT_DT1', 'post_id', '职务分类', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","name":"职务分类浏览按钮","id":"postBrowser"}],"value":"postBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (39, 3, 'JCL_ORG_JOBEXT_DT1', 'post_info_id', '职务', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职务信息浏览按钮","replaceDatas":[{"showname":"PostInfoBrowser","name":"职务信息浏览按钮","id":"PostInfoBrowser"}],"value":"PostInfoBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (40, 4, 'JCL_ORG_HRMRESOURCE', 'work_code', '编号', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (41, 4, 'JCL_ORG_HRMRESOURCE', 'manager_id', '直接上级', 'int', 3, 7, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"itemorderid":"1","name":"人力资源","id":"1","parenttitle":"人员","title":"人员-人力资源"}],"value":"1"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (42, 4, 'JCL_ORG_HRMRESOURCE', 'mobile', '移动电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (43, 4, 'JCL_ORG_HRMRESOURCE', 'login_id', '登录名', 'varchar(60)', 1, 4, 1, 1, 1, NULL, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (44, 4, 'JCL_ORG_HRMRESOURCE', 'assistant_id', '助理', 'int', 3, 7, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"itemorderid":"1","name":"人力资源","id":"1","parenttitle":"人员","title":"人员-人力资源"}],"value":"1"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (45, 4, 'JCL_ORG_HRMRESOURCE', 'telephone', '办公室电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (46, 4, 'JCL_ORG_HRMRESOURCE', 'last_name', '姓名', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (47, 4, 'JCL_ORG_HRMRESOURCE', 'mobile_call', '其他电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (48, 4, 'JCL_ORG_HRMRESOURCE', 'sex', '性别', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"男"},{"default":"","unuse":"","id":"1","key":"1","option":"女"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (49, 4, 'JCL_ORG_HRMRESOURCE', 'fax', '传真', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (50, 4, 'JCL_ORG_HRMRESOURCE', 'account_type', '账号类型', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 5, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"主账号"},{"default":"","unuse":"","id":"1","key":"1","option":"次账号"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (51, 4, 'JCL_ORG_HRMRESOURCE', 'email', '电子邮件', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 5, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (52, 4, 'JCL_ORG_HRMRESOURCE', 'belong_to', '主账号', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"name":"人力资源","id":"1"}],"value":"1"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (53, 4, 'JCL_ORG_HRMRESOURCE', 'workroom', '办公室', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 6, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (54, 4, 'JCL_ORG_HRMRESOURCE', 'department_id', '部门', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 7, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (55, 4, 'JCL_ORG_HRMRESOURCE', 'job_activity', '职务', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 8, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","shownamespan":"postBrowser","namespan":"职务分类浏览按钮","name":"职务分类浏览按钮","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","id":"postBrowser","randomFieldId":"postBrowser"}],"value":"postBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (56, 4, 'JCL_ORG_HRMRESOURCE', 'job_title', '岗位', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, GETDATE(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"jobBrowser","valueSpan":"岗位浏览按钮","replaceDatas":[{"showname":"jobBrowser","shownamespan":"jobBrowser","namespan":"岗位浏览按钮","name":"岗位浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"jobBrowser","id":"jobBrowser"}]}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (57, 4, 'JCL_ORG_HRMRESOURCE', 'job_call', '职称', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 10, 1, 0, GETDATE(), NULL, '260', '["browser",{"valueSpan":"职称","replaceDatas":[{"name":"职称","id":"260"}],"value":"260"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (58, 4, 'JCL_ORG_HRMRESOURCE', 'job_level', '职级', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 11, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职级浏览按钮","replaceDatas":[{"showname":"gradeBrowser","name":"职级浏览按钮","id":"gradeBrowser"}],"value":"gradeBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (59, 4, 'JCL_ORG_HRMRESOURCE', 'job_group_id', '职务类别', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 12, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","name":"职务分类浏览按钮","id":"postBrowser"}],"value":"postBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (60, 4, 'JCL_ORG_HRMRESOURCE', 'job_activity_desc', '职责描述', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 13, 1, 0, GETDATE(), NULL, '1', '["input","text","200"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (61, 4, 'JCL_ORG_HRMRESOURCE', 'status', '状态', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 14, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"试用"},{"default":"","unuse":"","id":"1","key":"1","option":"正式"},{"default":"","unuse":"","id":"2","key":"2","option":"临时"},{"default":"","unuse":"","id":"3","key":"3","option":"试用延期"},{"default":"","unuse":"","id":"4","key":"4","option":"解聘"},{"default":"","unuse":"","id":"5","key":"5","option":"离职"},{"default":"","unuse":"","id":"6","key":"6","option":"退休"},{"default":"","unuse":"","id":"7","key":"7","option":"无效"},{"default":"","unuse":"","id":"8","key":"8","option":"在职"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (62, 4, 'JCL_ORG_HRMRESOURCE', 'system_language', '系统语言', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 15, 1, 0, GETDATE(), NULL, '259', '["browser",{"valueSpan":"语言","replaceDatas":[{"itemorderid":"259","name":"语言","id":"259","parenttitle":"系统","title":"系统-语言"}],"value":"259"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (63, 4, 'JCL_ORG_HRMRESOURCE', 'resource_image_id', '照片', 'varchar(1000)', 6, 4, 1, 0, 1, NULL, 1, 1, 1, 16, 1, 0, GETDATE(), NULL, '1', '["upload","file"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (64, 4, 'JCL_ORG_HRMRESOURCE', 'messager_url', '头像', 'varchar(1000)', 6, 4, 1, 0, 1, NULL, 1, 1, 1, 17, 1, 0, GETDATE(), NULL, '1', '["upload","file"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (65, 4, 'JCL_ORG_HRMRESOURCE', 'location_id', '办公地点', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 18, 1, 0, GETDATE(), NULL, '262', '["browser",{"valueSpan":"办公地点","replaceDatas":[{"itemorderid":"262","name":"办公地点","id":"262","parenttitle":"组织","title":"组织-办公地点"}],"value":"262"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (66, 4, 'JCL_ORG_HRMRESOURCE', 'company_id', '分部', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 19, 1, 0, GETDATE(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","name":"公司分部浏览按钮","id":"compBrowser"}],"value":"compBrowser"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (67, 4, 'JCL_ORG_HRMRESOURCE', 'pass_word', '密码', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 20, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (68, 4, 'JCL_ORG_HRMRESOURCE', 'sec_level', '安全级别', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 21, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (69, 4, 'JCL_ORG_HRMRESOURCE', 'birthday', '出生日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 22, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (70, 4, 'JCL_ORG_HRMRESOURCE', 'folk', '民族', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 23, 1, 0, GETDATE(), NULL, '1', '["input","text","30"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (71, 4, 'JCL_ORG_HRMRESOURCE', 'native_place', '籍贯', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 24, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (72, 4, 'JCL_ORG_HRMRESOURCE', 'reg_resident_place', '户口', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 25, 1, 0, GETDATE(), NULL, '1', '["input","text","200"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (73, 4, 'JCL_ORG_HRMRESOURCE', 'certificate_num', '身份证号码', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 26, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (74, 4, 'JCL_ORG_HRMRESOURCE', 'marital_status', '婚姻状况', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 27, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"未婚"},{"default":"","unuse":"","id":"1","key":"1","option":"已婚"},{"default":"","unuse":"","id":"2","key":"2","option":"离异"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (75, 4, 'JCL_ORG_HRMRESOURCE', 'policy', '政治面貌', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 28, 1, 0, GETDATE(), NULL, '1', '["input","text","30"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (76, 4, 'JCL_ORG_HRMRESOURCE', 'be_member_date', '入团日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 29, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (77, 4, 'JCL_ORG_HRMRESOURCE', 'be_party_date', '入党日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 30, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (78, 4, 'JCL_ORG_HRMRESOURCE', 'islabouunion', '工会会员', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 31, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"是"},{"default":"","unuse":"","id":"1","key":"1","option":"否"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (79, 4, 'JCL_ORG_HRMRESOURCE', 'education_level', '学历', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 32, 1, 0, GETDATE(), NULL, '30', '["browser",{"valueSpan":"学历","replaceDatas":[{"name":"学历","id":"30"}],"value":"30"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (80, 4, 'JCL_ORG_HRMRESOURCE', 'degree', '学位', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 33, 1, 0, GETDATE(), NULL, '1', '["input","text","30"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (81, 4, 'JCL_ORG_HRMRESOURCE', 'health_info', '健康状况', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 34, 1, 0, GETDATE(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"优秀"},{"default":"","unuse":"","id":"1","key":"1","option":"良好"},{"default":"","unuse":"","id":"2","key":"2","option":"一般"},{"default":"","unuse":"","id":"3","key":"3","option":"较差"}],"sort":"horizontal"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (82, 4, 'JCL_ORG_HRMRESOURCE', 'height', '身高', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 35, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (83, 4, 'JCL_ORG_HRMRESOURCE', 'weight', '体重', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 36, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (84, 4, 'JCL_ORG_HRMRESOURCE', 'use_kind', '用工性质', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 37, 1, 0, GETDATE(), NULL, '31', '["browser",{"valueSpan":"用工性质","replaceDatas":[{"name":"用工性质","id":"31"}],"value":"31"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (85, 4, 'JCL_ORG_HRMRESOURCE', 'start_date', '合同开始日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 38, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (86, 4, 'JCL_ORG_HRMRESOURCE', 'end_date', '合同结束日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 39, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (87, 4, 'JCL_ORG_HRMRESOURCE', 'probation_end_date', '试用期结束日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 40, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (88, 4, 'JCL_ORG_HRMRESOURCE', 'resident_place', '现居住地', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 41, 1, 0, GETDATE(), NULL, '1', '["input","text","200"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (89, 4, 'JCL_ORG_HRMRESOURCE', 'home_address', '家庭联系方式', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 42, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (90, 4, 'JCL_ORG_HRMRESOURCE', 'temp_resident_number', '暂住证号码', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 43, 1, 0, GETDATE(), NULL, '1', '["input","text","60"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (91, 4, 'JCL_ORG_HRMRESOURCE', 'company_start_date', '入职日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 44, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (92, 4, 'JCL_ORG_HRMRESOURCE', 'work_start_date', '参加工作日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 45, 1, 0, GETDATE(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (93, 4, 'JCL_ORG_HRMRESOURCE', 'accum_fund_account', '公积金帐户', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 46, 1, 0, GETDATE(), NULL, '1', '["input","text","30"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (94, 4, 'JCL_ORG_HRMRESOURCE', 'account_name', '工资账号户名', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 48, 1, 0, GETDATE(), NULL, '1', '["input","text","200"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (95, 4, 'JCL_ORG_HRMRESOURCE', 'bank_id', '工资银行', 'varchar(400)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 49, 1, 0, GETDATE(), NULL, '284', '["browser",{"valueSpan":"工资银行","replaceDatas":[{"itemorderid":"0","name":"工资银行","id":"284","parenttitle":"其他","title":"其他-工资银行"}],"value":"284"}]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (96, 4, 'JCL_ORG_HRMRESOURCE', 'account_id', '工资账号', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 50, 1, 0, GETDATE(), NULL, '1', '["input","text","100"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (97, 4, 'JCL_ORG_HRMRESOURCE', 'show_order', '显示顺序', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 51, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (98, 4, 'JCL_ORG_HRMRESOURCE', 'classification', '人员密级', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 52, 1, 0, GETDATE(), NULL, '2', '["input","int"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (99, 4, 'JCL_ORG_HRMRESOURCE', 'work_year', '工龄', 'decimal(15,2)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 53, 1, 0, GETDATE(), NULL, '3', '["input","float","2"]', 0)
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (100, 4, 'JCL_ORG_HRMRESOURCE', 'company_work_year', '司龄', 'decimal(15,2)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 54, 1, 0, GETDATE(), NULL, '3', '["input","float","2"]', 0)
set IDENTITY_INSERT  JCL_FIELD_EXTENDINFO OFF
GO

IF EXISTS (SELECT * FROM sys.all_objects WHERE object_id = OBJECT_ID(N'[dbo].[jcl_info]') AND type IN ('U'))
	DROP TABLE [dbo].[jcl_info]
GO

CREATE TABLE [dbo].[jcl_info] (
  [id] int  NOT NULL,
  [fname] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL,
  [fvalue] varchar(100) COLLATE Chinese_PRC_CI_AS  NULL
)
GO

ALTER TABLE [dbo].[jcl_info] SET (LOCK_ESCALATION = TABLE)
GO



INSERT INTO JCL_INFO (id, fname, fvalue) VALUES (1, '董事长人员id', '36')
GO


ALTER TABLE [dbo].[jcl_info] ADD CONSTRAINT [PK_jcl_info] PRIMARY KEY CLUSTERED ([id])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)  
ON [PRIMARY]
GO